Subject: bug#68017: cargo-build-system should propagate inputs and native-inputs of dependencies

From: Jaeme Sifat <[email-masked]>
Date: Mon, 25 Dec 2023 02:45:56 -0500

I'm a bit confused about what you exactly mean. Can you provide an 
example? Programmatically, the build-system isn't supposed to be 
reflected (package components of the build-system) in the inputs fields 
of packages, Rust is no different.

 > NB: This is my first time packaging rust, so I may be wrong about stuff.

The typical way of creating Rust crate definitions is to use `guix 
import crate <package-name-on-crates.io>' to obtain a template 
definition that you'd refine after building and testing the package. If 
the crate is not hosted on crates.io, then you would have to read the 
`Cargo.toml' file for build instructions. The guix import command also 
has a '--recursive' option to automate that process for all the 
dependencies of a crate as well. It's a repetitive process for sure, but 
you don't have to find out dependencies by build errors.

--

Jaeme